<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <!-- <div class="quality-wrapper">
        <div class="row">
            <div class="col-4">
                <CardsCardQuality v-if="highlightedCard" :card="highlightedCard" :isHighlighted="true" />
                <a href="#" class="button button-stroke" title="Re-run quality analysis">Re-run quality analysis</a>
            </div>
            <div class="col-8">
                <div class="row">
                    <CardsCardQuality v-for="card in nonHighlightedCards" :key="card.id" :card="card" :isHighlighted="false" />
                    <div class="col-12">
                        <a href="#" class="button button-stroke" title="Download report">Download report</a>
                    </div>
                </div>
            </div>
        </div>
    </div> -->

    <div class="catalog-page">
        <div>
            <Datatable :data="data">
                <button class="button-stroke-icon rounded">
                    <i class="icon-reload"></i>
                    <span>Update score</span>
                </button>
                <div class="filters-top-totals"><b>3 Quality Rules</b> related to this dataset</div>
            </Datatable>
        </div>
    </div>

</template>

<script setup lang="ts">
import type DataTableI from '~/interfaces/datatable';


const data = ref<DataTableI>({
    options: {
        tableName: 'quality-table',
        detailsPath: '/quality-rules/',
        allowCheckRow: true,
        favourites: true,
        previewComponent: ''
    },
    columns: [
        {
            id: 1,
            name: 'name',
            label: 'Name',
            filterType: 'select',
            width: '100px'
        },
        {
            id: 2,
            name: 'dimension',
            label: 'Dimension',
            filterType: 'select',
            width: '100px'
        },
        {
            id: 3,
            name: 'description',
            label: 'Description',
            width: '400px'
        },
        {
            id: 4,
            name: 'owner',
            label: 'Owner',
            filterType: 'select',
            renderComponent: 'UserProfile',
            width: '140px'
        },
        {
            id: 5,
            name: 'edited_at',
            label: 'Edited at',
            width: '150px'
        }
    ],
    rows: [
        {
            id: 1,
            name: 'Rule Name Goes Here',
            dimension: 'Accuracy',
            description: 'Lorem ipsum dolor sit amet, consectetur...',
            owner: '',
            edited_at: '2022-01-01 22:43'
        },
        {
            id: 2,
            name: 'Rule Name Goes Here',
            dimension: 'Accuracy',
            description: 'Lorem ipsum dolor sit amet, consectetur...',
            owner: '',
            edited_at: '2022-01-01 22:43'
        },
        {
            id: 3,
            name: 'Rule Name Goes Here',
            dimension: 'Accuracy',
            description: 'Lorem ipsum dolor sit amet, consectetur...',
            owner: '',
            edited_at: '2022-01-01 22:43'
        }
    ]
});

</script>
